#

Name:           strawberry
Version:        1.0.23
Release:        %mkrel 1
Summary:        A audio player and music collection organizer
License:        GPL-3.0-or-later
Group:          Sound
URL:            http://www.strawbs.org/
BuildRequires:	cmake
BuildRequires: lib64alsa2-devel
BuildRequires: lib64boost-devel
BuildRequires: lib64cdio-devel
BuildRequires: lib64chromaprint-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
BuildRequires: lib64mtp-devel
BuildRequires: lib64protobuf-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5sql-devel 
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64sqlite3-devel 
BuildRequires: lib64x11-devel 
BuildRequires: libxcb-devel 
BuildRequires: qtbase5-common-devel
BuildRequires: vlc-devel 
BuildRequires: x11-proto-devel
BuildRequires: lib64xine1.2-devel
BuildRequires: lib64fftw-devel
BuildRequires: lib64taglib-devel
BuildRequires: lib64gtest-devel
BuildRequires: lib64imobiledevice-devel
BuildRequires: lib64plist-devel
BuildRequires: lib64usbmuxd-devel
BuildRequires: lib64gpod-devel
BuildRequires: phonon4qt5-devel
BuildRequires: lib64gmock-devel
BuildRequires: lib64ebur128-devel
Requires: gstreamer1.0-plugins-good
Requires: qca2-qt5
Requires: lib64qt5-database-plugin-sqlite

Provides:	bundled(qocoa)
Provides:	bundled(utf8-cpp)
Provides:	bundled(singleapplication)

%description
Strawberry is a audio player and music collection organizer.
It is a fork of Clementine. The name is inspired by the band Strawbs.

Features:
  - Play and organize music
  - Supports WAV, FLAC, WavPack, DSF, DSDIFF, Ogg Vorbis, Speex, MPC, TrueAudio, AIFF, MP4, MP3 and ASF
  - Audio CD playback
  - Native desktop notifications
  - Playlists in multiple formats
  - Advanced output and device options with support for bit perfect playback on Linux
  - Edit tags on music files
  - Fetch tags from MusicBrainz
  - Album cover art from Last.fm, Musicbrainz and Discogs
  - Song lyrics from AudD and API Seeds
  - Support for multiple backends
  - Audio analyzer
  - Equalizer
  - Transfer music to iPod, iPhone, MTP or mass-storage USB player
  - Integrated Tidal support

%prep

%build
pushd %{_sourcedir}
wget -nc https://files.strawberrymusicplayer.org/%{name}-%{version}.tar.xz
tar -xf %{name}-%{version}.tar.xz -C %_builddir
popd

pushd %_builddir/%{name}-%{version}
%cmake_kf5 -DBUILD_WERROR=OFF -DUSE_SYSTEM_TAGLIB=ON 
%make
popd

%install
pushd %_builddir/%{name}-%{version}
%make_install -C build

 desktop-file-install --vendor="" \
 --remove-category='AudioVideo' \
 --remove-category='Player' \
 --add-category='X-MandrivaLinux-Multimedia-Sound' \
 %{buildroot}%{_datadir}/applications/*.desktop
popd

%files
%{_bindir}
%{_datadir}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%changelog
* Fri Jan 12 2024 tex - 1.0.23-1pclos2024
- new version

* Sun Dec 10 2023 tex - 1.0.22-1pclos2023
- new version

* Sat Oct 21 2023 tex - 1.0.21-1pclos2023
- new version

* Mon Sep 25 2023 tex - 1.0.20-1pclos2023
- new version

